/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
query_script_version '1.0.0'

packageid 'com.ibm.rational.application.developer.v80'
packageversion '[8.0.0,8.1.0)'

query_order {
	custom {
		install {
			remotehelptype
			customremotehelpurl
		}
		uninstall {
		}
		update {
			
		}
	}
}

query {
    id "remotehelptype"
    required true
    dependencies features
    label "Remote Help System"
    labelType "text"
    inputType "list"
    inputDefault "remote"
    inputOptions "remote,local,custom"
    inputIgnoreCase true
    condition {
        advancedType.equalsIgnoreCase("Yes")
    }
    validation {
    	//the value is automatically validated against inputOptions
    }
    action {
    	com.ibm.edp.rfe.model.ModelUtil.setUserData(pkg, "user.help.option", remotehelptype)
    }
}

query {
    id "customremotehelpurl"
    required true
    dependencies remotehelptype
    label "Remote Help URL"
    labelType "text"
    inputType "text"
    condition {
       remotehelptype == "custom"
    }
    validation {
    	(customremotehelpurl && customremotehelpurl.trim().length() > 0)
    }
    action {
    	com.ibm.edp.rfe.model.ModelUtil.setUserData(pkg, "user.help.url", customremotehelpurl)
    }
}